Author Topic: Update broke some packages  (Read 199 times)

Offline aguinaldo

  • Newbie
  • *
  • Posts: 2
Update broke some packages
« on: September 19, 2017, 11:15:29 am »
I let the system do all updates automatically after installing Sparky. But 4 related packages linked to Perl simply broked. I have to reinstall the OS, but I feel so concerned to update Sparky. What can I do now? I never used Sparky before. I don't have any kind of experience with it.

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1715
    • SparkyLinux
Re: Update broke some packages
« Reply #1 on: September 19, 2017, 12:24:47 pm »
Run:
Code: [Select]
sudo apt update
sudo dpkg --configure -a
sudo apt install -f

and check Sparky's Wiki pages, there is many answers ready.
Nothing is easy as it looks.
Danielle Steel